<!doctype html>
<html>
    <head>
    <meta charset="utf-8">
    <title>Documento sin título</title>
    <script type="text/javascript">
    var g={};
	g.x=0;
	g.y=0;
	g.bueno=new Image();
	g.malo=new Image();
	g.bueno.src="imgs/pacman.png";
	g.malo.src="imgs/malo.png";
	g.puntos=0;
	g.fase=0;

	var Malo=function(ancho,alto){
		this.x= 0,
		this.y= 0,
		this.coordenadas = function(ancho,alto){
			this.x=Math.floor(Math.random()*ancho);
			this.y=Math.floor(Math.random()*alto);
		}
		
		this.Malo=function(ancho,alto){
			this.coordenadas(ancho,alto);
		}

		this.Malo(ancho,alto);
	}

	g.malos=new Array();
	


    function dibujarCanvas(){
		  	g.canvas = document.getElementById('miCanvas');
			g.contexto = g.canvas.getContext('2d');
			g.malos[0]=new Malo(g.canvas.width-50,g.canvas.height-50);
			f1();
			window.addEventListener("keydown",f2);
        }
		
		function f2(){
			//console.log(event.which);
			switch(event.which){
				case 38:
					g.direccion="arriba";
					break;
				case 40:
					g.direccion="abajo";
					break;
				case 37:
					g.direccion="izquierda";
					break;
				case 39:
					g.direccion="derecha";
					break;				
			}
		}

		function colision(objeto){
			if(g.x+50>=objeto.x && g.x<=objeto.x+50 && g.y+50 >=objeto.y && g.y<=objeto.y+50){
				return true;
			}
		}
		
		function f1(){
			window.requestAnimationFrame(f1); 
			switch(g.direccion){
				case "arriba":
					g.bueno.src="imgs/pacman4.png";
					g.y-=1;
					if(g.y<=0){
						g.direccion="abajo";
					}
					break;
				case "abajo":
					g.bueno.src="imgs/pacman1.png";
					g.y+=1;
					if(g.y>=(g.canvas.height-50)){
						g.direccion="arriba";
					}
					break;
				case "izquierda":
					g.bueno.src="imgs/pacman2.png";
					g.x-=1;
					if(g.x<=0){
						g.direccion="derecha";
					}
					break;
				case "derecha":
					g.bueno.src="imgs/pacman.png";
					g.x+=1;
					if(g.x>=(g.canvas.width-50)){
						g.direccion="izquierda";
					}
					break;				
				default:
					break;
			}
			
			g.contexto.fillStyle = '#000'; 
			g.contexto.fillRect(0, 0, g.canvas.width, g.canvas.height); 
			g.contexto.drawImage(g.bueno,g.x,g.y);
			for(var c=0;c<g.malos.length;c++){
				g.contexto.drawImage(g.malo,g.malos[c].x,g.malos[c].y);
				if(colision(g.malos[c])){
					alert("adios");
				}
			}

		}
		
		window.addEventListener("load",dibujarCanvas);
		
    </script>
    </head>

    <body>
</head>
<body>
<canvas id="miCanvas" width="450" height="350" style="background:#999">Su navegador no soporta Canvas.</canvas>
</body>
</html>
</body>
</html>
